import { JsonObject } from '@backstage/types';
/**
 * A service that provides a logging facility.
 *
 * See the {@link https://backstage.io/docs/backend-system/core-services/logger | service documentation} for more details.
 *
 * @public
 */
export interface LoggerService {
    error(message: string, meta?: Error | JsonObject): void;
    warn(message: string, meta?: Error | JsonObject): void;
    info(message: string, meta?: Error | JsonObject): void;
    debug(message: string, meta?: Error | JsonObject): void;
    child(meta: JsonObject): LoggerService;
}
